Control Plane APIApplications
PATCH
/v1/applications/{id}

Update an existing application.

Path Parameters

id*string

Query Parameters

name?string

Updated display name @example "Global Payment Gateway"

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/applications/string"
{  "application": {    "applicationCapabilities": [      {        "archivedAt": "2019-08-24T14:15:22Z",        "createdAt": "2019-08-24T14:15:22Z",        "id": "string",        "name": "string",        "updatedAt": "2019-08-24T14:15:22Z"      }    ],    "archived": true,    "archivedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "id": "string",    "name": "string",    "nonProductionRuntimeKey": "string",    "productionRuntimeKey": "string",    "updatedAt": "2019-08-24T14:15:22Z"  }}